/*
<DEPENDENCIES>
    <DEPENDS>Logger</DEPENDS>
    <DEPENDS>Broker</DEPENDS>
    <DEPENDS>Actions</DEPENDS>
</DEPENDENCIES>
*/
ConversationElementBroker.prototype             = new Broker();
ConversationElementBroker.prototype.constructor = ConversationElementBroker;
ConversationElementBroker.superclass            = Broker.prototype;
function ConversationElementBroker()
{
    ;
    this.conversationController = null;
     ConversationElementBroker.superclass.init.call(this, "ConversationElementBroker");
}
ConversationElementBroker.prototype.setConversationController = function(conversationController)
{
    this.conversationController = conversationController;
}
ConversationElementBroker.prototype.doBeginActive = function()
{
    this.getMessage("beginActive");
}
ConversationElementBroker.prototype.addBeginActiveHandle = function(action)
{
    this.registerAction("beginActive", action);
}
ConversationElementBroker.prototype.getBeginActiveAction = function(action)
{
    return new ObjectMethodAction(this, "beginActive");
}
ConversationElementBroker.prototype.beginActive = function()
{
    if (this.conversationController)
        this.conversationController.shouldBeginActive();
    else
        this.doBeginActive();
}
ConversationElementBroker.prototype.doEndActive = function()
{
    this.getMessage("endActive");
}
ConversationElementBroker.prototype.addEndActiveHandle = function(action)
{
    this.registerAction("endActive", action);
}
ConversationElementBroker.prototype.getEndActiveAction = function(action)
{
    return new ObjectMethodAction(this, "endActive");
}
ConversationElementBroker.prototype.endActive = function()
{
    if (this.conversationController)
        this.conversationController.shouldEndActive();
    else
        this.doEndActive();
}
