/*
<DEPENDENCIES>
    <DEPENDS>Logger</DEPENDS>
    <DEPENDS>Actions</DEPENDS>
    <DEPENDS>Broker</DEPENDS>
</DEPENDENCIES>
*/
JokerBroker.prototype = new Broker();
JokerBroker.prototype.constructor = JokerBroker;
JokerBroker.superclass = Broker.prototype;
function JokerBroker()
{
  ;
  this.jokerController = null;
  JokerBroker.superclass.init.call(this, "JokerBroker");
}
JokerBroker.prototype.setJokerController = function( controller )
{
  this.jokerController = controller;
}
JokerBroker.prototype.doJokerRequested = function()
{
  ;
  this.getMessage("jokerRequested");
}
JokerBroker.prototype.addJokerRequestedHandle = function( action )
{
  this.registerAction("jokerRequested", action);
}
JokerBroker.prototype.getJokerRequestedAction = function( action )
{
  return new ObjectMethodAction(this, "jokerRequested");
}
JokerBroker.prototype.jokerRequested = function()
{
  if( this.jokerController )
    this.jokerController.shouldJokerRequested();
  else
    this.doJokerRequested();
}
JokerBroker.prototype.doJokerDisabled = function()
{
  ;
  this.getMessage("jokerDisabled");
}
JokerBroker.prototype.addJokerDisabledHandle = function( action )
{
  this.registerAction("jokerDisabled", action);
}
JokerBroker.prototype.getJokerDisabledAction = function( action )
{
  return new ObjectMethodAction(this, "jokerDisabled");
}
JokerBroker.prototype.jokerDisabled = function()
{
  if( this.jokerController )
    this.jokerController.shouldJokerDisabled();
  else
    this.doJokerDisabled();
}
JokerBroker.prototype.doJokerEnabled = function()
{
  ;
  this.getMessage("jokerEnabled");
}
JokerBroker.prototype.addJokerEnabledHandle = function( action )
{
  this.registerAction("jokerEnabled", action);
}
JokerBroker.prototype.getJokerEnabledAction = function( action )
{
  return new ObjectMethodAction(this, "jokerEnabled");
}
JokerBroker.prototype.jokerEnabled = function()
{
  if( this.jokerController )
    this.jokerController.shouldJokerEnabled();
  else
    this.doJokerEnabled();
}
JokerBroker.prototype.doJokerAvailable = function()
{
  ;
  this.getMessage("jokerAvailable");
}
JokerBroker.prototype.addJokerAvailableHandle = function( action )
{
  this.registerAction("jokerAvailable", action);
}
JokerBroker.prototype.getJokerAvailableAction = function( action )
{
  return new ObjectMethodAction(this, "jokerAvailable");
}
JokerBroker.prototype.jokerAvailable = function()
{
  if( this.jokerController )
    this.jokerController.shouldJokerAvailable();
  else
    this.doJokerAvailable();
}
JokerBroker.prototype.doJokerUnavailable = function()
{
  ;
  this.getMessage("jokerUnavailable");
}
JokerBroker.prototype.addJokerUnavailableHandle = function( action )
{
  this.registerAction("jokerUnavailable", action);
}
JokerBroker.prototype.getJokerUnavailableAction = function( action )
{
  return new ObjectMethodAction(this, "jokerUnavailable");
}
JokerBroker.prototype.jokerUnavailable = function()
{
  if( this.jokerController )
    this.jokerController.shouldJokerUnavailable();
  else
    this.doJokerUnavailable();
}
