/*
<DEPENDENCIES>
    <DEPENDS>Logger</DEPENDS>
</DEPENDENCIES>
*/
var meMem = null;
function timeoutCallback()
{
  meMem.setState();
}
function MemoryManager(sId, timeout)
{
  if (sId) { this.init(sId, timeout); }
}
MemoryManager.prototype.init = function(sId, timeout)
{
  ;
  meMem = this;
  this.sId = sId;
  this.clicks = 0;
  this.timeout = null;
  this.broker = null;
  if(timeout)
  {
    this.timeout = timeout;
  }
}
MemoryManager.prototype.getId = function()
{
  return this.sId;
}
MemoryManager.prototype.setBroker = function(broker)
{
  ;
  this.broker = broker;
}
MemoryManager.prototype.setTimeout = function(timeout)
{
  ;
  this.timeout = timeout;
}
MemoryManager.prototype.clicked = function(modelItem)
{
  ;
  this.clicks++;
  if (this.clicks == 1 )
  {
    this.modelItem = modelItem;
  }
  if ( this.clicks == 2)
  {
    this.nextmodelItem = modelItem;
    if(this.modelItem.isQuestion())
    {
      var question = this.modelItem;
      var answer = this.modelItem.getSolutionComplement();
    }
    else
    {
      var question = this.modelItem.getSolutionComplement();
      var answer = this.modelItem;
    }
    if(this.modelItem.workItem.getEvaluation(question, answer) && this.modelItem.workItem.getEvaluation(question, answer).isActive())
    {
      if (this.broker) { this.broker.tileMatch(); }
    }
    else
    {
      if (this.broker) { this.broker.tileMismatch(); }
      this.timeoutId = window.setTimeout('timeoutCallback()', this.timeout);
    }
  }
  if ( this.clicks ==  3  )
  {
    clearTimeout(this.timeoutId);
    if(this.modelItem.isQuestion())
    {
      var question = this.modelItem;
      var answer = this.modelItem.getComplementOffItem();
    }
    else
    {
      var question = this.modelItem.getComplementOffItem();
      var answer = this.modelItem;
    }
    evaluation = question.workItem.getEvaluation(question, answer);
    if (evaluation)
    {
      evaluation.setActive(false,'user');
    }
    if(this.nextmodelItem.isQuestion())
    {
      var question = this.nextmodelItem;
      var answer = this.nextmodelItem.getComplementOffItem();
    }
    else
    {
      var question = this.nextmodelItem.getComplementOffItem();
      var answer = this.nextmodelItem;
    }
    evaluation = question.workItem.getEvaluation(question, answer);
    if (evaluation)
    {
      evaluation.setActive(false,'user');
    }
    this.clicks=1;
    this.modelItem = modelItem;
  }
}
MemoryManager.prototype.setState = function()
{
  ;
  if(this.modelItem.isQuestion())
  {
    var question = this.modelItem;
    var answer = this.modelItem.getComplementOffItem();
  }
  else
  {
    var question = this.modelItem.getComplementOffItem();
    var answer = this.modelItem;
  }
  evaluation = question.workItem.getEvaluation(question, answer);
  if (evaluation)
  {
    evaluation.setActive(false,'user');
  }
  if(this.nextmodelItem.isQuestion())
  {
    var question = this.nextmodelItem;
    var answer = this.nextmodelItem.getComplementOffItem();
  }
  else
  {
    var question = this.nextmodelItem.getComplementOffItem();
    var answer = this.nextmodelItem;
  }
  evaluation = question.workItem.getEvaluation(question, answer);
  if (evaluation)
  {
    evaluation.setActive(false,'user');
  }
  this.clicks=0;
}
