/*
<DEPENDENCIES>
    <DEPENDS>Logger</DEPENDS>
    <DEPENDS>Actions</DEPENDS>
    <DEPENDS>Broker</DEPENDS>
</DEPENDENCIES>
*/
RepeatExerciseBroker.prototype             = new Broker();
RepeatExerciseBroker.prototype.constructor = RepeatExerciseBroker;
RepeatExerciseBroker.superclass            = Broker.prototype;
function RepeatExerciseBroker()
{
    ;
    this.repeatExerciseController = null;
     RepeatExerciseBroker.superclass.init.call(this, "RepeatExerciseBroker");
}
RepeatExerciseBroker.prototype.setRepeatExerciseController = function(repeatExerciseController)
{
    this.repeatExerciseController = repeatExerciseController;
}
RepeatExerciseBroker.prototype.doRepeatExerciseRequested = function()
{
    this.getMessage("repeatExerciseRequested");
}
RepeatExerciseBroker.prototype.addRepeatExerciseRequestedHandle = function(action)
{
    this.registerAction("repeatExerciseRequested", action);
}
RepeatExerciseBroker.prototype.getRepeatExerciseRequestedAction = function(action)
{
    return new ObjectMethodAction(this, "repeatExerciseRequested");
}
RepeatExerciseBroker.prototype.repeatExerciseRequested = function()
{
    if (this.repeatExerciseController)
        this.repeatExerciseController.shouldRepeatExerciseRequested();
    else
        this.doRepeatExerciseRequested();
}
RepeatExerciseBroker.prototype.doDisableRepeatExercise = function()
{
    this.getMessage("disableRepeatExercise");
}
RepeatExerciseBroker.prototype.addDisableRepeatExerciseHandle = function(action)
{
    this.registerAction("disableRepeatExercise", action);
}
RepeatExerciseBroker.prototype.getDisableRepeatExerciseAction = function(action)
{
    return new ObjectMethodAction(this, "disableRepeatExercise");
}
RepeatExerciseBroker.prototype.disableRepeatExercise = function()
{
    if (this.repeatExerciseController)
        this.repeatExerciseController.shouldDisableRepeatExercise();
    else
        this.doDisableRepeatExercise();
}
RepeatExerciseBroker.prototype.doEnableRepeatExercise = function()
{
    this.getMessage("enableRepeatExercise");
}
RepeatExerciseBroker.prototype.addEnableRepeatExerciseHandle = function(action)
{
    this.registerAction("enableRepeatExercise", action);
}
RepeatExerciseBroker.prototype.getEnableRepeatExerciseAction = function(action)
{
    return new ObjectMethodAction(this, "enableRepeatExercise");
}
RepeatExerciseBroker.prototype.enableRepeatExercise = function()
{
    if (this.repeatExerciseController)
        this.repeatExerciseController.enableRepeatExercise();
    else
        this.doEnableRepeatExercise();
}
