/*
<DEPENDENCIES>
    <DEPENDS>Logger</DEPENDS>
</DEPENDENCIES>
*/
function FromToDateModel(sId)
{
	if (sId)
	{
		this.init(sId);
	}
}
FromToDateModel.prototype.init = function(sId)
{
	this.modelChangeListener = new Array();
	this.reseting = false;
}
FromToDateModel.prototype.process = function(value)
{
	if (this.reseting == false)
		this.modelChanged(value);
}
FromToDateModel.prototype.addModelChangeListener = function(listener)
{
	this.modelChangeListener.push(listener);
	listener.setSelectionModel(this);
}
FromToDateModel.prototype.setFromValue = function(fromValue)
{
	this.fromValue = fromValue;
	fromValue.setManager(this);
}
FromToDateModel.prototype.setToValue = function(toValue)
{
	this.toValue = toValue;
	toValue.setManager(this);
}
FromToDateModel.prototype.modelChanged = function()
{
	for (var i = 0; i < this.modelChangeListener.length; i++)
		this.modelChangeListener[i].selectionModelChanged(this, this.getActiveValues());
}
FromToDateModel.prototype.getActiveValues = function()
{
	
	var cmdValues = new Array();
	cmdValues.push(this.fromValue, this.toValue);
	return cmdValues;
}
FromToDateModel.prototype.getAllValues = function()
{
	return this.getActiveValues();
}
FromToDateModel.prototype.getIndexOf = function(value)
{
	if (value == this.fromValue)
		return 0;
	else if (value == this.toValue)
		return 1;
	else
		return -1;
}
FromToDateModel.prototype.reset = function()
{
	this.reseting = true;
	for (var i = 0; i < this.values.length; i++)
		this.values[i].reset();
	this.reseting = false;
	this.modelChanged();
}
FromToDateModel.prototype.getFromValue = function()
{
	return this.fromValue;
}
FromToDateModel.prototype.getToValue = function()
{
	return this.toValue;
}
