/*
<DEPENDENCIES>
    <DEPENDS>Logger</DEPENDS>
    <DEPENDS>Browser</DEPENDS>
    <DEPENDS>StoryElement</DEPENDS>
</DEPENDENCIES>
*/
StoryElementSystem.prototype             = new StoryElement();
StoryElementSystem.prototype.constructor = StoryElementSystem;
StoryElementSystem.superclass            = StoryElement.prototype;
function StoryElementSystem(sId, sText, sSoundUrl)
{
  this.init(sId, sText, sSoundUrl);
}
StoryElementSystem.prototype.init = function(sId, sText, sSoundUrl)
{
  StoryElementSystem.superclass.init.call(this, sId, sText, sSoundUrl, true)
  this.aUserContributions = new Array(); 
}
StoryElementSystem.prototype.setUserContributions = function(aUserContributions)
{
  this.aUserContributions = aUserContributions;
}
StoryElementSystem.prototype.getUserContributions = function()
{
  return this.aUserContributions;
}
StoryElementSystem.prototype.hasUserContributions = function()
{
  return (this.aUserContributions.length > 0);
}
