/*
<DEPENDENCIES>
  <DEPENDS>Broker</DEPENDS>
</DEPENDENCIES>
*/
function ChangeImageAction(domId, url)
{
    this.domId = domId;
    this.url = url;
}
ChangeImageAction.prototype.invoke = function()
{
    document.getElementById(this.domId).src=this.url;
}
function SetStyleAction(domId, property, value)
{
    this.domId = domId;
    this.property = property;
    this.value = value;
}
SetStyleAction.prototype.invoke = function()
{
    document.getElementById(this.domId).style[this.property] = this.value;
}
function ObjectMethodAction(objectName, methodname, param1, param2, param3, param4, param5, param6, param7)
{
    this.objectName= objectName;
    this.methodname = methodname;
    this.param1 = param1;
    this.param2 = param2;
    this.param3 = param3;
    this.param4 = param4;
    this.param5 = param5;
    this.param6 = param6;
    this.param7 = param7;
}
ObjectMethodAction.prototype.invoke = function(parameter1, parameter2, parameter3, parameter4, parameter5, parameter6, parameter7)
{
    if (typeof parameter1 != 'undefined')
        return this.objectName[this.methodname](parameter1, parameter2, parameter3, parameter4, parameter5, parameter6, parameter7);
    else
        return this.objectName[this.methodname](this.param1, this.param2, this.param3, this.param4, this.param5, this.param6, this.param7);
}
function ObjectMethodWithParameterAction(objectName, methodname, param1, param2, param3, param4, param5, param6, param7)
{
    this.objectName= objectName;
    this.methodname = methodname;
    this.param1 = param1;
    this.param2 = param2;
    this.param3 = param3;
    this.param4 = param4;
    this.param5 = param5;
    this.param6 = param6;
    this.param7 = param7;
}
ObjectMethodWithParameterAction.prototype.invoke = function(parameter1)
{
    if (typeof parameter1 != 'undefined')
        return this.objectName[this.methodname](parameter1, this.param1, this.param2, this.param3, this.param4, this.param5, this.param6, this.param7);
    else
        return this.objectName[this.methodname](this.param1, this.param2, this.param3, this.param4, this.param5, this.param6, this.param7);
}
function SyncObjectMethodAction(objectName, methodname, param1, param2, param3, param4, param5, param6, param7)
{
    this.objectName= objectName;
    this.methodname = methodname;
    this.param1 = param1;
    this.param2 = param2;
    this.param3 = param3;
    this.param4 = param4;
    this.param5 = param5;
    this.param6 = param6;
    this.param7 = param7;
}
SyncObjectMethodAction.prototype.invoke = function(parameter1, parameter2, parameter3, parameter4, parameter5, parameter6, parameter7)
{
  Broker.actionPipeline.scheduleAction(new ObjectMethodAction(this, "invokeTarget"), [parameter1, parameter2, parameter3, parameter4, parameter5, parameter6, parameter7]);
}
SyncObjectMethodAction.prototype.invokeTarget = function(parameter1, parameter2, parameter3, parameter4, parameter5, parameter6, parameter7)
{
    if (typeof parameter1 != 'undefined')
        return this.objectName[this.methodname](parameter1, parameter2, parameter3, parameter4, parameter5, parameter6, parameter7);
    else
        return this.objectName[this.methodname](this.param1, this.param2, this.param3, this.param4, this.param5, this.param6, this.param7);
}
function FinalObjectMethodAction(objectName, methodname, param1, param2, param3, param4, param5, param6, param7)
{
    this.objectName= objectName;
    this.methodname = methodname;
    this.param1 = param1;
    this.param2 = param2;
    this.param3 = param3;
    this.param4 = param4;
    this.param5 = param5;
    this.param6 = param6;
    this.param7 = param7;
}
FinalObjectMethodAction.prototype.invoke = function(parameter1, parameter2, parameter3, parameter4, parameter5, parameter6, parameter7)
{
  Broker.actionPipeline.scheduleFinalAction(new ObjectMethodAction(this, "invokeTarget"), [parameter1, parameter2, parameter3, parameter4, parameter5, parameter6, parameter7]);
}
FinalObjectMethodAction.prototype.invokeTarget = function(parameter1, parameter2, parameter3, parameter4, parameter5, parameter6, parameter7)
{
    if (typeof parameter1 != 'undefined')
        return this.objectName[this.methodname](parameter1, parameter2, parameter3, parameter4, parameter5, parameter6, parameter7);
    else
        return this.objectName[this.methodname](this.param1, this.param2, this.param3, this.param4, this.param5, this.param6, this.param7);
}
function IgnoreRuntimeParameterAction(objectName, methodname, param1, param2, param3, param4, param5, param6, param7)
{
    this.objectName= objectName;
    this.methodname = methodname;
    this.param1 = param1;
    this.param2 = param2;
    this.param3 = param3;
    this.param4 = param4;
    this.param5 = param5;
    this.param6 = param6;
    this.param7 = param7;
}
IgnoreRuntimeParameterAction.prototype.invoke = function()
{
    return this.objectName[this.methodname](this.param1, this.param2, this.param3, this.param4, this.param5, this.param6, this.param7);
}
function AlertAction(text)
{
    this.text = text;
}
AlertAction.prototype.invoke = function()
{
    alert(this.text);
}
function SolvedAction(objectName, methodname)
{
    this.objectName = objectName;
    this.methodname = methodname;
}
SolvedAction.prototype.invoke = function(para1, para2, para3, para4, para5, para6, para7, para8)
{
    this.object[this.methodname](para1, para2, para3, para4, para5, para6, para7, para8); 
}
function DoNothingAction()
{
}
DoNothingAction.prototype.invoke = function()
{
}
