/*
<DEPENDENCIES>
    <DEPENDS>Logger</DEPENDS>
    <DEPENDS>HandleMap</DEPENDS>
    <DEPENDS>ServletEventReader</DEPENDS>
    <DEPENDS>Browser</DEPENDS>
    <DEPENDS>Actions</DEPENDS>
    <DEPENDS>SyncObjectMethodAction</DEPENDS>
</DEPENDENCIES>
*/
function ServletEventSender(baseUrl, channel, standalone) {
    var url = baseUrl;
    var getTest = /\?/g;
    if (getTest.test(url)) {
        url += "&";
    } else {
        url += "?";
    }
    url += ServletEventSender.PARAM_CHANNEL_NAME + "=";
    url += encodeURIComponent(channel);
    url += "&";
    url += ServletEventSender.PARAM_MSG_TYPE + "="
            + ServletEventSender.PARAM_MSG_TYPE_PUT;
    this.baseUrl = url;
    this.channel = channel;
    ;
    ;
    this.no_cache_counter = 0;
    if (!standalone)
    	HandleMap.instance.setSender(this);
}
ServletEventSender.PARAM_CHANNEL_NAME = "channel";
ServletEventSender.PARAM_MSG_TYPE = "msg_type";
ServletEventSender.PARAM_MSG_TYPE_PUT = "put";
ServletEventSender.PARAM_HANDLE = "handle";
ServletEventSender.PARAM_METHOD = "method";
ServletEventSender.PARAM_ARGUMENT = "argument";
ServletEventSender.PARAM_NO_CACHE = "no-cache";
ServletEventSender.prototype.send = function (handle, methodName, args) {
    var msgUrl = this.marshal(handle, methodName, args);
	  var action = new SyncObjectMethodAction(Browser ,'callURL', msgUrl);
    action.invoke();
    return;
}
ServletEventSender.prototype.marshal = function (handle, methodName, args) {
    var url = this.baseUrl;
    url += "&" + ServletEventSender.PARAM_HANDLE + "=";
    url += encodeURIComponent(handle);
    url += "&" + ServletEventSender.PARAM_METHOD + "=";
    url += encodeURIComponent(methodName);
    for (var arg in args) {
        url += "&" + ServletEventSender.PARAM_ARGUMENT + "=";
        url += encodeURIComponent(args[arg]);
    }
    this.no_cache_counter = this.no_cache_counter + 1;
    url += "&" + ServletEventSender.PARAM_NO_CACHE + "=" + this.no_cache_counter;
    return url;
}
ServletEventSender.prototype.shutdown = function ()
{
  this.send('shutdown', 'shutdown');
}
ServletEventSender.prototype.getShutdownAction = function ()
{
  return new ObjectMethodAction(this, 'shutdown');
}
