/*
<DEPENDENCIES>
    <DEPENDS>Logger</DEPENDS>
    <DEPENDS>Broker</DEPENDS>
    <DEPENDS>Action</DEPENDS>
</DEPENDENCIES>
*/
ServerResultBroker.prototype             = new Broker();
ServerResultBroker.prototype.constructor = ServerResultBroker;
ServerResultBroker.superclass            = Broker.prototype;
function ServerResultBroker(sId)
{
  if (sId)
  {
    this.init(sId);
  }
}
ServerResultBroker.prototype.init = function(sId)
{
  ;
  this.sId = sId;
  this.ConversationController = null;
  ServerResultBroker.superclass.init.call(this, sId);
}
ServerResultBroker.prototype.setServerResultController = function(serverResultController)
{
  this.serverResultController = serverResultController;
}
ServerResultBroker.prototype.doServerResult = function(serverResult)
{
  var paramArray = new Array();
  paramArray.push(serverResult);
  this.getMessage('serverResult', paramArray);
}
ServerResultBroker.prototype.addServerResultHandle = function(action)
{
  this.registerAction('serverResult', action);
}
ServerResultBroker.prototype.getServerResultAction = function()
{
  return new ObjectMethodAction(this, 'serverResult');
}
ServerResultBroker.prototype.serverResult = function(serverResult)
{
  ;
  this.doServerResult(serverResult);
}
