/*
<DEPENDENCIES>
    <DEPENDS>SoundPlayer</DEPENDS>
    <DEPENDS>SoundBroker</DEPENDS>
    <DEPENDS>QeaAdapter</DEPENDS>
</DEPENDENCIES>
*/
BingoSoundPlayer.prototype             = new SoundPlayer();
BingoSoundPlayer.prototype.constructor = BingoSoundPlayer;
BingoSoundPlayer.superclass            = SoundPlayer.prototype;
function BingoSoundPlayer(soundRegistry, sSound, handleName, soundInterval)
{
  this.init(soundRegistry, sSound, handleName, soundInterval);
}
BingoSoundPlayer.prototype.init = function(soundRegistry, sSound, handleName, soundInterval)
{
  ;
  BingoSoundPlayer.superclass.init.call(this, soundRegistry, sSound, handleName);
  this.soundInterval = soundInterval;
  this.handleName = handleName;
}
BingoSoundPlayer.prototype.setSoundBroker = function(broker)
{
  this.soundBroker = broker;
  this.soundBroker.addRequestSoundStartHandle(this.getSoundStartAction());
  this.soundBroker.addRequestSoundStopHandle(this.getSoundStopAction());
  this.soundBroker.addRequestSoundPauseHandle(this.getSoundPauseAction());
  this.soundBroker.addSoundStoppedHandle(this.getSoundStopAction());
}
SoundPlayer.prototype.getSoundStopAction = function()
{
  return new ObjectMethodAction(this, 'notifyStop');
}
BingoSoundPlayer.prototype.notifyStop = function()
{
  this.soundInterval.notifyStop();
}
BingoSoundInterval.prototype             = new QeaAdapter();
BingoSoundInterval.prototype.constructor = BingoSoundInterval;
BingoSoundInterval.superclass            = QeaAdapter.prototype;
function BingoSoundInterval(sId, sWidgetDomId, sSound)
{
  if (sId) { this.init(sId, sWidgetDomId, sSound); }
}
BingoSoundInterval.prototype.init = function(sId, sWidgetDomId, sSound)
{
  ;
  BingoSoundInterval.superclass.init.call(this, sId, sWidgetDomId);
  this.sSound = sSound;
  this.bingoManager = null;
  this.handleName = null;
}
BingoSoundInterval.prototype.setManager = function(bingoManager)
{
  ;
  this.bingoManager = bingoManager;
}
var gSoundInterval = null;
BingoSoundInterval.prototype.play = function()
{
  ;
  if (this.soundPlayer)
  {
    this.soundPlayer.play();
  }
  else
  {
    ;
    ;
    gSoundInterval = this;
    window.setTimeout('BingoManager_getInstance().playedCallback(gSoundInterval,5)', 5);
  }
}
BingoSoundInterval.prototype.notifyStop = function()
{
  this.bingoManager.playedCallback(this);
}
BingoSoundInterval.prototype.changed = function(model)
{
  //;
}
BingoSoundInterval.prototype.setHandleName = function(handlename)
{
	this.handleName = handlename;
}
BingoSoundInterval.prototype.start = function()
{
  this.soundPlayer = new BingoSoundPlayer(this.bingoManager.soundRegistry, this.sSound, this.handleName, this);
  this.soundPlayer.setSoundBroker(new SoundBroker())
}
