/*
<DEPENDENCIES>
    <DEPENDS>Logger</DEPENDS>
    <DEPENDS>Broker</DEPENDS>
    <DEPENDS>Actions</DEPENDS>
</DEPENDENCIES>
*/
RoleBroker.prototype             = new Broker();
RoleBroker.prototype.constructor = RoleBroker;
RoleBroker.superclass            = Broker.prototype;
function RoleBroker()
{
  //;
  RoleBroker.superclass.init.call(this, "RoleBroker");
}
RoleBroker.prototype.doSetInactive = function()
{
  this.getMessage("setInactive");
}
RoleBroker.prototype.addSetInactiveHandle = function(action)
{
  this.registerAction("setInactive", action);
}
RoleBroker.prototype.getSetInactiveAction = function(action)
{
  return new ObjectMethodAction(this, "setInactive");
}
RoleBroker.prototype.setInactive = function()
{
  this.doSetInactive();
}
RoleBroker.prototype.doSetActive = function()
{
  this.getMessage("setActive");
}
RoleBroker.prototype.addSetActiveHandle = function(action)
{
  this.registerAction("setActive", action);
}
RoleBroker.prototype.getSetActiveAction = function(action)
{
  return new ObjectMethodAction(this, "setActive");
}
RoleBroker.prototype.setActive = function()
{
  this.doSetActive();
}
RoleBroker.prototype.doRequestSetActive = function()
{
  this.getMessage("requestSetActive");
}
RoleBroker.prototype.addRequestSetActiveHandle = function(action)
{
  this.registerAction("requestSetActive", action);
}
RoleBroker.prototype.getRequestSetActiveAction = function(action)
{
  return new ObjectMethodAction(this, "requestSetActive");
}
RoleBroker.prototype.requestSetActive = function()
{
  this.doRequestSetActive();
}
RoleBroker.prototype.doSetContributionActive = function()
{
  this.getMessage("setContributionActive");
}
RoleBroker.prototype.addSetContributionActiveHandle = function(action)
{
  this.registerAction("setContributionActive", action);
}
RoleBroker.prototype.getSetContributionActiveAction = function()
{
  return new ObjectMethodAction(this, "setContributionActive");
}
RoleBroker.prototype.setContributionActive = function()
{
  this.doSetContributionActive();
}
RoleBroker.prototype.doSetContributionInactive = function()
{
  this.getMessage("setContributionInactive");
}
RoleBroker.prototype.addSetContributionInactiveHandle = function(action)
{
  this.registerAction("setContributionInactive", action);
}
RoleBroker.prototype.getSetContributionInactiveAction = function()
{
  return new ObjectMethodAction(this, "setContributionInactive");
}
RoleBroker.prototype.setContributionInactive = function()
{
  this.doSetContributionInactive();
}
