/*
<DEPENDENCIES>
    <DEPENDS>Logger</DEPENDS>
    <DEPENDS>Actions</DEPENDS>
    <DEPENDS>Broker</DEPENDS>
</DEPENDENCIES>
*/
SpeechRecognitionControlBroker.prototype             = new Broker();
SpeechRecognitionControlBroker.prototype.constructor = SpeechRecognitionControlBroker;
SpeechRecognitionControlBroker.superclass            = Broker.prototype;
function SpeechRecognitionControlBroker()
{
	;
 	SpeechRecognitionControlBroker.superclass.init.call(this, "SpeechRecognitionControlBroker");
}
SpeechRecognitionControlBroker.prototype.doSoundStarted = function()
{
    ;
    this.getMessage("soundStarted");
}
SpeechRecognitionControlBroker.prototype.addSoundStartedHandle = function(action)
{
	this.registerAction("soundStarted", action);
}
SpeechRecognitionControlBroker.prototype.getSoundStartedAction = function()
{
	return new ObjectMethodAction(this, "soundStarted");
}
SpeechRecognitionControlBroker.prototype.soundStarted = function()
{	
	this.doSoundStarted();
}
SpeechRecognitionControlBroker.prototype.doSoundStopped = function()
{	
  ;
	this.getMessage("soundStopped");
}
SpeechRecognitionControlBroker.prototype.addSoundStoppedHandle = function(action)
{
	this.registerAction("soundStopped", action);
}
SpeechRecognitionControlBroker.prototype.getSoundStoppedAction = function()
{
	return new ObjectMethodAction(this, "soundStopped");
}
SpeechRecognitionControlBroker.prototype.soundStopped = function()
{	
	this.doSoundStopped();
}
SpeechRecognitionControlBroker.prototype.doRequestSoundStart = function()
{
  ;
	this.getMessage("requestSoundStart");
}
SpeechRecognitionControlBroker.prototype.addRequestSoundStartHandle = function(action)
{
	this.registerAction("requestSoundStart", action);
}
SpeechRecognitionControlBroker.prototype.getRequestSoundStartAction = function()
{
	return new ObjectMethodAction(this, "requestSoundStart");
}
SpeechRecognitionControlBroker.prototype.requestSoundStart = function()
{	
	this.doRequestSoundStart();
}
SpeechRecognitionControlBroker.prototype.doRequestSoundStop = function()
{	
  ;
	this.getMessage("requestSoundStop");
}
SpeechRecognitionControlBroker.prototype.addRequestSoundStopHandle = function(action)
{
	this.registerAction("requestSoundStop", action);
}
SpeechRecognitionControlBroker.prototype.getRequestSoundStopAction = function()
{
	return new ObjectMethodAction(this, "requestSoundStop");
}
SpeechRecognitionControlBroker.prototype.requestSoundStop = function()
{	
	this.doRequestSoundStop();
}
SpeechRecognitionControlBroker.prototype.doRecognitionStarted = function()
{
    ;
    this.getMessage("recognitionStarted");
}
SpeechRecognitionControlBroker.prototype.addRecognitionStartedHandle = function(action)
{
	this.registerAction("recognitionStarted", action);
}
SpeechRecognitionControlBroker.prototype.doRecognitionStopped = function()
{
    ;
    this.getMessage("recognitionStopped");
}
SpeechRecognitionControlBroker.prototype.addRecognitionStoppedHandle = function(action)
{
	this.registerAction("recognitionStopped", action);
}
SpeechRecognitionControlBroker.prototype.doRequestRecognitionStart = function()
{
  ;
	this.getMessage("requestRecognitionStart");
}
SpeechRecognitionControlBroker.prototype.addRequestRecognitionStartHandle = function(action)
{
	this.registerAction("requestRecognitionStart", action);
}
SpeechRecognitionControlBroker.prototype.getRequestRecognitionStartAction = function()
{
	return new ObjectMethodAction(this, "requestRecognitionStart");
}
SpeechRecognitionControlBroker.prototype.requestRecognitionStart = function()
{
	this.doRequestRecognitionStart();
}
SpeechRecognitionControlBroker.prototype.doRequestRecognitionStop = function()
{
  ;
	this.getMessage("requestRecognitionStop");
}
SpeechRecognitionControlBroker.prototype.addRequestRecognitionStopHandle = function(action)
{
	this.registerAction("requestRecognitionStop", action);
}
SpeechRecognitionControlBroker.prototype.getRequestRecognitionStopAction = function()
{
	return new ObjectMethodAction(this, "requestRecognitionStop");
}
SpeechRecognitionControlBroker.prototype.requestRecognitionStop = function()
{
	this.doRequestRecognitionStop();
}
