/*
<DEPENDENCIES>
    <DEPENDS>Logger</DEPENDS>
</DEPENDENCIES>
*/
function ValueItem(sId) 
{
	if (sId) { this.init(sId); }
}
ValueItem.prototype.init = function(sId)
{
  ;
	this.sId = sId;
	this.aVCListener = new Array(); 
	this.nVCListener = 0;
	this.workItem = null; 
  this.sOrigin = ''; 
  this.bUserContributed = false; 
}
ValueItem.prototype.getId = function()
{
	return this.sId;
}
ValueItem.prototype.toString = function()
{
  var s = 'ValueItem' + 
          ' id=' + this.sId + 
          ' origin=' + this.sOrigin + 
          ' ';
  return s;
}
ValueItem.prototype.registerValueChangeListener = function(vcListener)
{
  ;
  if (this.aVCListener[vcListener.getId()] != null) 
  {
    ;
	}  
	else
	{
		this.aVCListener[vcListener.getId()] = vcListener;
		this.nVCListener++;
    ;
    vcListener.setValueItem(this);
	}
}
ValueItem.prototype.setWorkItem = function(workItem)
{
  ;
	
	this.workItem = workItem;
}
ValueItem.prototype.start = function()
{
  ;
}
ValueItem.prototype.getOrigin = function()
{
  return this.sOrigin;  
}
ValueItem.prototype.hasContribution = function()
{
	return this.bUserContributed || this.bSystemContributed;	
}
ValueItem.prototype.hasUserContribution = function()
{
	return this.bUserContributed;	
}
ValueItem.prototype.onChanged = function()
{
  ;
  if (this.workItem != null)
  {
    this.workItem.changed(this);
  }
  else
  {
    ;
  }
  ;
  for (var id in this.aVCListener)
  {
    if (this.aVCListener[id] != null) 
    {
      ;
      this.aVCListener[id].changed(this);
    }
  }
}
ValueItem.prototype.onChangedByUser = function()
{
  //;
  this.onChanged();
}
ValueItem.prototype.onChangedBySystem = function()
{
  //;
  this.onChanged();
}
