/*
<DEPENDENCIES>
    <DEPENDS>Logger</DEPENDS>
    <DEPENDS>Broker</DEPENDS>
    <DEPENDS>Action</DEPENDS>
</DEPENDENCIES>
*/
LogoutBroker.prototype             = new Broker();
LogoutBroker.prototype.constructor = LogoutBroker;
LogoutBroker.superclass            = Broker.prototype;
function LogoutBroker(sId, contextpath)
{
  if (sId) { this.init(sId, contextpath); }
}
LogoutBroker.prototype.init = function(sId, contextpath)
{
  	this.sId = sId;
  	this.contextpath = contextpath;
  	LogoutBroker.superclass.init.call(this, sId);
  	var me = this;
	this.unloadCallback = function()
	{
		me.quitLogout();
	}
	window.quitLogout = this.unloadCallback;
}
LogoutBroker.prototype.getId = function()
{
  return this.sId;
}
LogoutBroker.prototype.setTimeout = function(interval)
{
	this.interval = interval;
}
LogoutBroker.prototype.start = function()
{
	window.setInterval("window.quitLogout()", this.interval);
}
LogoutBroker.prototype.registerLogoutHandle = function(action)
{
	this.registerAction("quitlogout", action);
}
LogoutBroker.prototype.getFFHQuitAction = function()
{
	return new ObjectMethodAction(this, 'quitFFH');
}
LogoutBroker.prototype.quitFFH = function()
{
	window.location='ffh:quit';
}
LogoutBroker.prototype.quitLogout = function()
{
	Browser.callURL(this.contextpath + "/j_security_logout");
	var paramArray = new Array();
	this.getMessage('quitlogout', paramArray);
}
