/*
<DEPENDENCIES>
    <DEPENDS>Logger</DEPENDS>
    <DEPENDS>Actions</DEPENDS>
    <DEPENDS>Broker</DEPENDS>
</DEPENDENCIES>
*/
ShowSolutionBroker.prototype             = new Broker();
ShowSolutionBroker.prototype.constructor = ShowSolutionBroker;
ShowSolutionBroker.superclass            = Broker.prototype;
function ShowSolutionBroker()
{
    ;
    this.showSolutionController = null;
     ShowSolutionBroker.superclass.init.call(this, "ShowSolutionBroker");
}
ShowSolutionBroker.prototype.setShowSolutionController = function(showSolutionController)
{
    this.showSolutionController = showSolutionController;
}
ShowSolutionBroker.prototype.doShowSolutionRequested = function()
{
    this.getMessage("showSolutionRequested");
}
ShowSolutionBroker.prototype.addShowSolutionRequestedHandle = function(action)
{
    this.registerAction("showSolutionRequested", action);
}
ShowSolutionBroker.prototype.getShowSolutionRequestedAction = function(action)
{
    return new ObjectMethodAction(this, "showSolutionRequested");
}
ShowSolutionBroker.prototype.showSolutionRequested = function()
{
    if (this.showSolutionController)
        this.showSolutionController.shouldShowSolutionRequested();
    else
        this.doShowSolutionRequested();
}
ShowSolutionBroker.prototype.doDisableShowSolution = function()
{
    this.getMessage("disableShowSolution");
}
ShowSolutionBroker.prototype.addDisableShowSolutionHandle = function(action)
{
    this.registerAction("disableShowSolution", action);
}
ShowSolutionBroker.prototype.getDisableShowSolutionAction = function(action)
{
    return new ObjectMethodAction(this, "disableShowSolution");
}
ShowSolutionBroker.prototype.disableShowSolution = function()
{
    if (this.showSolutionController)
        this.showSolutionController.shouldDisableShowSolution();
    else
        this.doDisableShowSolution();
}
ShowSolutionBroker.prototype.doEnableShowSolution = function()
{
    this.getMessage("enableShowSolution");
}
ShowSolutionBroker.prototype.addEnableShowSolutionHandle = function(action)
{
    this.registerAction("enableShowSolution", action);
}
ShowSolutionBroker.prototype.getEnableShowSolutionAction = function(action)
{
    return new ObjectMethodAction(this, "enableShowSolution");
}
ShowSolutionBroker.prototype.enableShowSolution = function()
{
    if (this.showSolutionController)
        this.showSolutionController.enableShowSolution();
    else
        this.doEnableShowSolution();
}
